import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import static ru.ifmo.testlib.Outcome.Type.*;

public class Check implements Checker {
    public Outcome outcome(Outcome.Type type, final String format) {
        return new Outcome(type, format);
    }

    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int n = inf.nextInt();
        int m = inf.nextInt();

        for (int it = 0; it < m; it++) {
            long ja = ans.nextLong();
            long pa = ouf.nextLong();

            if (ja != pa) {
                return outcome(WA, String.format("expected %d, found %d in %d query", ja, pa, it + 1));
            }
        }
        return outcome(OK, String.format("%d numbers", m));
    }
}
